Bug 126865

Summary: Obey "delete this" comments, including deleting String::characters and friends
Product: WebKit Reporter: Darin Adler <darin>
Component: WebKit Misc.Assignee: Darin Adler <darin>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, bfulgham, buildbot, bunhere, cmarcelo, commit-queue, eflews.bot, esprehn+autocc, glenn, gtk-ews, gyuyoung.kim, kondapallykalyan, ltilve+ews, mitz, ossy, peavo, rakuco, rego+ews, rniwa, roger_fong, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 127624, 128042, 128063    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch none

Description Darin Adler 2014-01-12 18:34:40 PST
Obey "delete this" comments, including deleting String::characters and friends
Comment 1 Darin Adler 2014-01-12 18:37:12 PST
Created attachment 220998 [details]
Patch
Comment 2 Build Bot 2014-01-12 19:35:21 PST
Comment on attachment 220998 [details]
Patch

Attachment 220998 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/5184853649653760
Comment 3 EFL EWS Bot 2014-01-12 20:00:52 PST
Comment on attachment 220998 [details]
Patch

Attachment 220998 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/6319781309317120
Comment 4 Build Bot 2014-01-12 20:09:59 PST
Comment on attachment 220998 [details]
Patch

Attachment 220998 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/4988534721085440
Comment 5 kov's GTK+ EWS bot 2014-01-12 21:08:01 PST
Comment on attachment 220998 [details]
Patch

Attachment 220998 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/4798223378022400
Comment 6 Build Bot 2014-01-12 21:09:13 PST
Comment on attachment 220998 [details]
Patch

Attachment 220998 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5928938345857024
Comment 7 EFL EWS Bot 2014-01-12 21:58:55 PST
Comment on attachment 220998 [details]
Patch

Attachment 220998 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/6291465663676416
Comment 8 Darin Adler 2014-01-13 09:52:11 PST
Doing this is blocked by redoing the work in bug 126854 or at least renaming the call sites to use deprecatedCharacters.
Comment 9 Darin Adler 2014-01-25 14:55:53 PST
Created attachment 222238 [details]
Patch
Comment 10 Darin Adler 2014-02-01 21:03:59 PST
Created attachment 222904 [details]
Patch
Comment 11 Darin Adler 2014-02-02 11:12:29 PST
Created attachment 222928 [details]
Patch
Comment 12 Darin Adler 2014-02-02 20:59:15 PST
Created attachment 222957 [details]
Patch
Comment 13 WebKit Commit Bot 2014-02-02 21:02:20 PST
Attachment 222957 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/text/WTFString.h:115:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 WebKit Commit Bot 2014-02-02 23:47:52 PST
Comment on attachment 222957 [details]
Patch

Clearing flags on attachment: 222957

Committed r163289: <http://trac.webkit.org/changeset/163289>
Comment 15 WebKit Commit Bot 2014-02-02 23:47:56 PST
All reviewed patches have been landed.  Closing bug.
Comment 16 mitz 2014-02-03 00:01:38 PST
(In reply to comment #14)
> (From update of attachment 222957 [details])
> Clearing flags on attachment: 222957
> 
> Committed r163289: <http://trac.webkit.org/changeset/163289>

This broke builds where ENABLE(DATE_AND_TIME_INPUT_TYPES) is true, such as the iOS build, because BaseDateAndTimeInputType.cpp still uses characters().
Comment 17 Csaba Osztrogon√°c 2014-02-03 01:10:05 PST
It broke the WinCairo build too:

     1>..\..\win\WebDownloadCurl.cpp(184): error C2039: 'characters' : is not a member of 'WTF::String'
                 C:\Projects\BuildSlave\win-cairo-release\build\WebKitBuild\Release_WinCairo\Include\private\wtf/text/WTFString.h(84) : see declaration of 'WTF::String'
     1>..\..\win\WebDownloadCurl.cpp(184): error C2664: 'WebCore::BString::BString(const WebCore::BString &)' : cannot convert argument 1 from 'unsigned int' to 'const wchar_t *'
                 Conversion from integral type to pointer type requires reinterpret_cast, C-style cast or function-style cast
Comment 18 Darin Adler 2014-02-03 09:33:23 PST
Basically it broke any build without EWS or a buildbot, which is no surprise!